Package org.pushingpixels.substance.internal.utils.menu

# Class SubstanceMenuBackgroundDelegate

java.lang.Object
org.pushingpixels.substance.internal.utils.menu.SubstanceMenuBackgroundDelegate

public class SubstanceMenuBackgroundDelegate extends Object
Delegate for painting background of menu items.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceMenuBackgroundDelegate()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`paintBackground(Graphics g, Component menuItem, int textOffset)`
Updates the specified menu item with the background that matches the provided parameters.
`static void`
`paintHighlights(Graphics g, JMenuItem menuItem, float borderAlpha)`
Paints menu highlights.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceMenuBackgroundDelegate

public SubstanceMenuBackgroundDelegate()

## Method Details

### paintBackground

public static void paintBackground(Graphics g, Component menuItem, int textOffset)
Updates the specified menu item with the background that matches the provided parameters.

Parameters:
  `g` - Graphic context.
  `menuItem` - Menu item.
  `textOffset` - The offset of the menu item text.

### paintHighlights

public static void paintHighlights(Graphics g, JMenuItem menuItem, float borderAlpha)
Paints menu highlights.

Parameters:
  `g` - Graphics context.
  `menuItem` - Menu item.
  `borderAlpha` - Alpha channel for painting the border.